Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExplicitCell Class Reference

`#include <vtkExplicitCell.h>`

Inheritance diagram for vtkExplicitCell:

[legend]
Collaboration diagram for vtkExplicitCell:

[legend]
List of all members.

## Detailed Description

abstract superclass for cells requiring an explicit representation

Date:
  2002/06/07 22:40:02

Revision:
  1.3

vtkExplicitCell is an abstract superclass for cells that cannot be represented implicitly. An implicit representation requires only a cell type and connectivity list (e.g., triangle). Explicit cells require information beyond this; e.g., a NURBS surface or cells that require explicit face/edge descriptions. Most cells in VTK are implicitly represented.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (85%)
  - Cedilnik, Andy (14%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkExplicitCell.h)`
  - .`cxx` (`/Common/vtkExplicitCell.cxx)`

Definition at line 48 of file vtkExplicitCell.h.

## Public Types
typedef vtkNonLinearCell | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | IsExplicitCell ()
virtual void | SetCellId (vtkIdType)
virtual vtkIdType | GetCellId ()
virtual void | SetDataSet (vtkDataSet *)
virtual vtkDataSet * | GetDataSet ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkExplicitCell * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkExplicitCell ()
| ~vtkExplicitCell ()
## Protected Attributes
vtkIdType | CellId
vtkDataSet * | DataSet

## Member Typedef Documentation

typedef vtkNonLinearCell vtkExplicitCell::Superclass

| Reimplemented from vtkNonLinearCell. Definition at line 51 of file vtkExplicitCell.h.

## Constructor & Destructor Documentation

vtkExplicitCell::vtkExplicitCell | ( |  | ) | `[protected]`

vtkExplicitCell::~vtkExplicitCell | ( |  | ) | `[inline, protected]`

| Definition at line 80 of file vtkExplicitCell.h.

## Member Function Documentation

virtual const char* vtkExplicitCell::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkNonLinearCell.

int vtkExplicitCell::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkNonLinearCell.

virtual int vtkExplicitCell::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkNonLinearCell.

vtkExplicitCell* vtkExplicitCell::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkNonLinearCell.

void vtkExplicitCell::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkNonLinearCell.

virtual int vtkExplicitCell::IsExplicitCell | ( |  | ) | `[inline, virtual]`

| Explicit cells require additional representational information beyond the usual cell type and connectivity list information. Most cells in VTK are implicit cells. The vtkCell::IsImplicitCell() virtual function is overloaded to reflect this requirement. Reimplemented from vtkCell. Definition at line 58 of file vtkExplicitCell.h.

virtual void vtkExplicitCell::SetCellId | ( | vtkIdType |  | ) | `[virtual]`

| Set/Get the cell id. This is necessary for explicit cells because they often need to keep extra information (typically contained in the cell data of a point set). This information might be things like knot points/weights, boundaries, etc.

virtual vtkIdType vtkExplicitCell::GetCellId | ( |  | ) | `[virtual]`

| Set/Get the cell id. This is necessary for explicit cells because they often need to keep extra information (typically contained in the cell data of a point set). This information might be things like knot points/weights, boundaries, etc.

virtual void vtkExplicitCell::SetDataSet | ( | vtkDataSet * |  | ) | `[virtual]`

| Set/Get the mesh that owns this cell. This is necessary for explicit cells because they often need to keep extra information (typically contained in the cell data of a point set). This information might be things like knot points/weights, boundaries, etc.

virtual vtkDataSet* vtkExplicitCell::GetDataSet | ( |  | ) | `[virtual]`

| Set/Get the mesh that owns this cell. This is necessary for explicit cells because they often need to keep extra information (typically contained in the cell data of a point set). This information might be things like knot points/weights, boundaries, etc.

## Member Data Documentation

vtkIdType vtkExplicitCell::CellId`[protected]`

| Definition at line 82 of file vtkExplicitCell.h.

vtkDataSet* vtkExplicitCell::DataSet`[protected]`

| Definition at line 83 of file vtkExplicitCell.h.

The documentation for this class was generated from the following file:

- Common/vtkExplicitCell.h